Inicio > Manuales y tutoriales, Ubuntu > Howto instalacion DBDESIGNER sobre Ubuntu Fiesty

Howto instalacion DBDESIGNER sobre Ubuntu Fiesty

Como necesitaba modelar una base de datos de mysql explorando en la red ubique este genial programa ,DBDesigner es una aplicación para diseñar de forma gráfica las bases de datos en MySQL, es el equivalente de Oracle’s Designer©, IBM’s Rational Rose©, Computer Associates’s ERwin© y theKompany’s DataArchitect©, la gran diferencia es que es para MySQL y segunda más importante, es libre, licensiado bajo la GPL, está desarrollado en Kylix, por lo que funciona muy bien sobre Linux.

LIBRERIAS NECESARIAS
#apt-get install xkeyboard-config

#cd /opt
#wget http://www.silcom.com.pe/soft/xlibs_6.8.2-77_all.deb
#dpkg -i xlibs_6.8.2-77_all.deb

#wget http://www.silcom.com.pe/soft/kylixlibs3-borqt_3.0-1_i386.deb
#dpkg -i kylixlibs3-borqt_3.0-1_i386.deb

DESCOMPRIMIMOS DBDESIGNER
#tar xvfz DBDesigner4.0.5.4.tar.gz

ENLACE A MODULOS
#cd /usr/lib
#ln -s kylix3/libborqt-6.9-qt2.3.so
#ldconfig
#ln -s /usr/lib/kylix3/libborqt-6.9.0-qt2.3.so /lib/libborqt-6.9-qt2.3.so

LIBRERIA PARA CONECTAR A MYSQL
#wget http://crlab.com/dbx/dbxmda.tar.gz
#tar xvfz dbxmda.tar.gz
#mv DbxMda/libsqlmda.so.3.20 /usr/lib/
#ldconfig

EJECUTAR EL PROGRAMA
#/opt/DBDesigner4/DBDesigner4

PARA CONECTAR A MYSQL HAY QUE CAMBIAR EL DRIVER DE CONEXION
DriverName: MySQL
GetDriverFunc: getSQLDriverMySQL
LibraryName: libsqlmda.so.3.00
VendorLib: libsqlmda.so.3.00

  1. rvega77
    junio 8, 2007 de 4:02 am

    Gracias por tu Howto

    solo te quiero hacer unos pequeños comentarios (tengo ubuntu Feisty)
    1. Cuando ejecute
    ]$ sudo dpkg -i xlibs_6.8.2-77_all.deb
    me dijo : El paquete `xkeyboard-config’ no está instalado.
    Así que lo instale vía Synaptic

    2. Cuando Ejecute
    ]$ sudo dpkg -i kylixlibs3-borqt_3.0-1_i386.deb
    me dijo : [: 7: ==: unexpected operator
    Este me lo salte (no lo teme en cuenta)

    3. y al final haces referencia a
    libsqlmda.so.3.00, y a mi me resulto con libsqlmda.so.3.20

    Nuevamente…. muy agradecido…
    Nota: yo lo puede instalar gracias a tu HowTo…
    … pero tú ???, como se te ocurre tanto comando ???
    Saludos desde Chile
    EOF

  2. junio 8, 2007 de 8:53 pm

    Hola , gracias por tus comentarios , solo unos detalles :

    1.- Parece que te saltaste la primera linea de apt-get install xkeyboard-config
    2.- Si parece aparentemente es un error , sin embargo de igual forma instala la dependencia
    3.- Lo voy a corregir 🙂

    Nota : A pesar de que Ubuntu te facilita mucho la vida, nunca dejo la linea de comandos 🙂

    Saludos desde Perú

  3. FF.
    junio 12, 2007 de 1:04 am

    Hola… creo que esta guía está muy bien… sin embargo, intenté utilizarla y en el paso:

    #dpkg -i kylixlibs3-borqt_3.0-1_i386.deb

    Marca los siguientes errores:

    (Leyendo la base de datos …
    132672 ficheros y directorios instalados actualmente.)
    Preparando para reemplazar kylixlibs3-borqt 3.0-1 (usando kylixlibs3-borqt_3.0-1_i386.deb) …
    Desempaquetando el reemplazo de kylixlibs3-borqt …
    [: 6: ==: unexpected operator
    Configurando kylixlibs3-borqt (3.0-1) …
    [: 7: ==: unexpected operator

    ¿Existe algún prerrequisito?

    Saludos.

  4. Rodrigo Riquelme
    junio 23, 2007 de 6:43 am

    Me resultó muy util este HowTo
    Acabo de bajar el paquete .rpm de la página de fabForce y lo convertí a .deb para ejecutarlo directamente y esperar que el instalador se encargara de todo, pero no era tan sencillo, el ejecutable instalado no hacia nada. Seguí tu howto y ahora el DB Designer funciona a la perfecciòn.
    Gracias y Saludos!

  5. julio 6, 2007 de 8:27 pm

    El Kylix tambien se puede bajar de sourceforge.
    Hagan la busqueda del paquete en la pagina principal, descargen la version para SUSE, y ejecuten alien sobre el .rpm. Tambien funciona.

    Un Saludo desde Colombia
    Pedro

  6. julio 10, 2007 de 10:33 pm

    I don’t speak a word of, well, whatever this language is. (looks italian or spanish to me) 🙂

    Anyway, the lines of code provided in between helped me nonetheless. Now I’m able to sync my DB with DBDesigner4 and perform some reverse engineering. Very nice!

    Just a note: I had to change these values from

    LibraryName: libsqlmda.so.3.00
    VendorLib: libsqlmda.so.3.00

    to

    LibraryName: libsqlmda.so.3.20
    VendorLib: libsqlmda.so.3.20

    since the downloaded package was provided with a more recent version.

  7. julio 16, 2007 de 12:14 pm

    Hola a todos, yo uso Debian Etch.
    Para que me funcionase, he realizado los siguientes pasos:
    1. Ir a http://www.sourceforge.net y buscas Kylixlibs.
    2. Bajarse las de Suse 8.2 (http://downloads.sourceforge.net/kylixlibs/kylixlibs3-borqt-3.0-rh.4.i386.rpm?modtime=1063843200&big_mirror=0)
    3. Convertirlas a .deb con alien (apt-get install alien)+(alien kylixlibs3-borqt-3.0-rh.4.i386.rpm)
    4. Instalar el paquete (dpkg -i kylixlibs3-borqt_3.0-1_i386.deb)
    5. Mover las librerías a /usr/lib (cp /usr/lib/kylix3/* /usr/lib)

    Bueno ahora si te bajas DBDesigner funciona!!…
    Un saludo,

  8. vnieto
    julio 23, 2007 de 4:44 pm

    LIsto, corre, pero ahora me dice que no encuentra mysqlli.so.

    Que hacer??

  9. Martin Garmendia
    agosto 5, 2007 de 9:59 pm

    vnieto, tienes que abrir el programa e ir al menú Database–>Connect to database
    le das a new database connection y en la pestaña advanced cambia los valores tal como aparecen en el how to:
    PARA CONECTAR A MYSQL HAY QUE CAMBIAR EL DRIVER DE CONEXION
    DriverName: MySQL
    GetDriverFunc: getSQLDriverMySQL
    LibraryName: libsqlmda.so.3.00
    VendorLib: libsqlmda.so.3.00

  10. kael
    agosto 11, 2007 de 7:49 pm

    alguien sabe como hacer que se conecte a postgres

  11. septiembre 24, 2007 de 3:09 pm

    Excelente tutorial, me sirvió de mucha ayuda

    un detalle, solo habría qe actualizar la linea

    mv DbxMda/libsqlmda.so.3.20 /usr/lib/

    a

    mv DbxMda/libsqlmda.so.4.00 /usr/lib/

    Saludos

  12. Angel
    enero 26, 2008 de 5:34 am

    Hermano felicidades, solo como comentario, no te olvides de las plataformas de 64 bits.

    Saludos.

  13. Senil
    febrero 21, 2008 de 12:14 am

    Cuidadito con los inexpertos en LINUX ya que hay un pequeño error en las indicaciones,
    Para conectar con mysql donde pone el parametro GetDriverFunc: getSQLDriverMYSQL debe ser GetDriverFunc: getSQLDriverMySQL.

  14. rober
    febrero 23, 2008 de 5:58 pm

    Como va ??

    les queria preguntar si a alguien le ha pasado que DBDESIGNER4 no corra para nada:

    rober@mery:~/Desktop/development/DBDesigner4$ ./startdbd
    Symbolic links exist
    Starting DBDesigner4 …
    rober@mery:~/Desktop/development/DBDesigner4$

    y nada mas pasa, no levanta ni interfaz grafica ni nada. Ya cambie los permisos de todos los archivos y segui este tutorial y nada. Baje varias veces el tar, y tampoco.
    En fin, si tienen alguna idea, escuchada sera.
    PD: toy con ubuntu 7.10 y MySQL 5.0.45.

  15. manu
    marzo 18, 2008 de 5:44 am

    ./DBDesigner4

  16. junio 23, 2008 de 1:03 am

    hola, sabes, yo tuve un atado tb no fue la gran cosa pero he de avisarte,
    primero que todo baje el DBDesigner de esta url http://www.fabforce.net/downloadfile.php
    luego al llegar a este paso : mv DbxMda/libsqlmda.so.3.20 /usr/lib/

    tuve problemas debido a que libsqlmda era una version superios por lo que coloque lo siguiente: mv DbxMda/libsqlmda.so.3.20 /usr/lib/

    gracias por el post, se agradece, pero = tengo problemas con la interfaz grafica puesto que me ocupa el 100% de la pantalla y no se cierra cuando doy la oren, pero de todos modos funciona
    🙂

  17. septiembre 21, 2008 de 11:03 pm

    yo tb he tenido siempre problemas con el dbdesigner, pero la verdad es muy bueno

  18. Juan Azabache
    octubre 6, 2008 de 1:44 am

    Saludos,
    Muchas gracias por la información descrita. Me sirvió de mucho. Te felicito.

    Solo tengo problemas para la conexión a MySQL. me sale el siguiente mensaje:

    MySQL client library couldn’t be loaded. Please place libmysqlclient.so (libmysqlclient.so.X) file to system folder (included to LD_LIBRARY_PATH or to the folder with executable unit of main program.
    libmysqlclient.so.7: no se puede abrir el archivo de objeto compartido: No existe el fichero o directorio.

    Estoy usando: “libsqlmda.so.4.20” en configuracion avanzada. Tengo el MySQL levantado y uso la version 5.1. Tambien copie esta lib junto con el DBDesigner pero nada.
    Alguna ayuda por favor.
    Gracias.

    Juan Azabache

  19. Adonai
    mayo 7, 2009 de 10:05 am

    Un Saludo a todos.

    Hola a quienes tengan problema con xkeyboard-config, traten de descargarlo de algunos mirrors de esta pagina de ubuntu “http://packages.ubuntu.com/dapper/all/xkeyboard-config/download”; e instalarlo via linea de comando o con un simple doble click en el archivo .deb.

    Otra observacion es en paso de la conexion a MySQL, se debe tomar en cuenta el nombre del archivo “libsqlmda.so.3.20”, ya que puede causar confusion, en mi caso fue la version “libsqlmda.so.4.40”.

    Muy Bueno
    Saludos.

  20. agosto 4, 2009 de 11:39 am

    ehh. good one 🙂

  21. deibix
    noviembre 16, 2009 de 6:18 pm

    Buen apunte Adonai. Probando en Kubuntu 9.04

  22. marzo 12, 2010 de 2:48 pm

    excelente howto, yo utilizo dbdesigner desde mi vida universitaria hace unos tres años lo utilizaba en el SO windows, pero ahora soy un usuario de trisquel gnu/linux y acabo de hacer funcionar dbdesigner 4.0. Tuve un pequeño inconveniente con la librería libborqt-6.9-qt2.3.so, gracias a este howto lo solucione creando un enlace simbólico…! felicitaciones 🙂

  23. Marthica
    abril 29, 2011 de 4:02 pm

    Hola a todos, estoy intentando instalar el DBDesigner, y me da error…
    Yo trabajo en Ubuntu 10.10 y cuando trato de realizar el primer paso que es instalar el xkeyboard-config, ahí mismo me da el siguiente error:

    (El paquete xkeyboard-config no está disponible, pero algún otro paquete hace referencia a él. Esto puede significar que el paquete falta, está obsoleto o sólo se encuentra disponible desde alguna otra fuente)

    Alguien me pudiera decir donde encontrar este paquete, para esta esta distribución de ubuntu???……..

  24. andru
    noviembre 21, 2013 de 8:44 am

    Me gusta usar con mysql en ubuntu – herramienta gratuita de Valentina Studio, hace todo lo que necesito, y lo hace muy bien http://www.valentina-db.com/en/valentina-studio-overview

  1. septiembre 24, 2007 de 4:05 pm
  2. septiembre 5, 2008 de 1:44 am

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión /  Cambiar )

Google photo

Estás comentando usando tu cuenta de Google. Cerrar sesión /  Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión /  Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión /  Cambiar )

Conectando a %s

A %d blogueros les gusta esto: